HTTPD(8)

NAME
httpd, in.httpd, dir2html - a web server for Minix

SYNOPSIS
httpd [-t|-v] [config_file]
tcpd http /usr/local/bin/in.httpd
dir2html [directory]

DESCRIPTION
httpd is a World Wide Web (WWW) server written by Michael Temari. It was written from scratch so the setup and configuration will not be like other web servers.

in.httpd is linked to httpd. This alternate name is used to indicate the program is a server that is started by tcpd, a program which listens for incoming TCP connections on the passed port (defined in /etc/services). When a connection comes in tcpd forks and starts the given daemon program, after possibly checking for access restrictions and logging the connection. Therefore to start httpd you use:
tcpd http /usr/local/bin/in.httpd &
or
daemonize tcpd http /usr/local/bin/in.httpd

(daemonize is a shell function defined in in Minix 2.0.3 and later releases which starts programs as daemons).

dir2html is an accessory program that produces a directory listing formatted as web page for the current directory or for a directory specified as an argument. It is called by httpd when a web client references a directory that includes no index.html file (or whatever alternative to index.html that may be defined in /etc/httpd.conf). Since it writes to standard output it may also be called as a standalone program.

Options for httpd are:

OPTIONS

-t  This tells the server to parse the configuration file so that you can see if it is the way you want it. You may also pass the name of your configuration file if it is not the default /etc/httpd.conf.

-v  Shows the server version, then exits.
    config_file normally /etc/httpd.conf

FILES

/etc/httpd.conf
    The configuration file.

/etc/httpd.mtype Extension to configuration file defining MIME types.

/usr/adm/httpd.log Log file. The file must exist for logging to begin.

SEE ALSO
httpd.conf(5)
http_status(5)
serv.access(5)
tcpd(8)

NOTES
Running a server exposed to the Internet is risky to the host system and to the local network. Consult with the owner of your net before you go public. Read the SECURITY document in the source directory.

BUGS
None are known, but there are surely some unknown ones. Be careful!

AUTHOR
The Minix httpd server was created by and is maintained by Michael Temari <Michael@TemWare.Com>
This man page was compiled by Al Woodhull <awoodhull@hampshire.edu>

updated 2003-07-06